Show / Hide Table of Contents

# Class OutCirc

Class providing an "OutCirc" easing animation.

##### Inheritance

System.Object
Easing
OutCirc

##### Inherited Members

Easing.Point1
Easing.Point2
Easing.EasedPoint
Easing.IsInverse
Easing.Value
Easing.Duration
Easing.IsRunning
Easing.IsDone
Easing.Progress
Easing.Start()
Easing.Stop()
Easing.Restart()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Animation.EasingFunctions

###### Assembly: Dalamud.dll

##### Syntax

    public class OutCirc : Easing

### Constructors

| Improve this Doc View Source

#### OutCirc(TimeSpan)

Initializes a new instance of the OutCirc class.

##### Declaration

    public OutCirc(TimeSpan duration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | duration | The duration of the animation.

### Methods

| Improve this Doc View Source

#### Update()

Updates the animation.

##### Declaration

    public override void Update()

##### Overrides

Easing.Update()